=== debian/changelog ===
libximc7 (2.14.28-1) unstable; urgency=low

  * Version bump
  * Bug: Fix documentation a little
  * Bug: Fix python binding bug with uninitialized structures, #105984
  * Bug: Add errcode return while trying to set calb.coeff. A to 0, #91948
 -- XIMC <8smc4@standa.lt>  Thu, 20 Feb 2025 10:46:59 +0300

libximc7 (2.14.27-1) unstable; urgency=low

  * Version bump
  * Add pauses into examples, #99322
  * Mark USB voltage and current values as deprecated, #103346

 -- XIMC <8smc4@standa.lt>  Wed, 28 Aug 2024 16:36:02 +0300

libximc7 (2.14.26-1) unstable; urgency=low

  * Version bump
  * Change README

 -- XIMC <8smc4@standa.lt>  Tue, 06 Aug 2024 16:07:42 +0300

libximc7 (2.14.25-1) unstable; urgency=low

  * Version bump
  * Fix PyPI summary bug, #102659

 -- XIMC <8smc4@standa.lt>  Mon, 05 Aug 2024 12:46:48 +0300

libximc7 (2.14.24-1) unstable; urgency=low

  * Version bump
  * Change README.md to README.txt in Python Jupyter example
  * Improve documentation for joystick_settings and enumerate_devices, #97384
  * Update READMEs for examples, #99321
  * Add 'Deprecated' note in ximc_fix_usbser_sys documentation, #90338
  * Fix testpython.py, #99244
  * Add local imports, #95890
  * Fix debian related bug of wrong shared objects directory, #99322
  * Add pauses in C examples, #99322

 -- XIMC <8smc4@standa.lt>  Wed, 17 Jul 2024 17:00:45 +0300

libximc7 (2.14.23-1) unstable; urgency=low

  * Version bump
  * Bug: Fix enumeration bug, #99039
  * Feture: added jupyter readme, #99084
  * Bug: Fix indecies bug, #99109

 -- XIMC <8smc4@standa.lt>  Tue, 28 May 2024 20:03:04 +0300

libximc7 (2.14.22-1) unstable; urgency=low

  * Version bump
  * Bug: fix xi-net bug, #97428

 -- XIMC <8smc4@standa.lt>  Tue, 23 Apr 2024 18:01:45 +0300

libximc7 (2.14.21-1) unstable; urgency=low

  * Version bump
  * Add the python binding principles to the README.md
  * Feature: Rewrite python examples using new binding, #89826
  * Bug: Add integer-comparison support for enums, #92182
  * Feature: Add deprecation warning to ximc_fix_usbser_sys, #90338
  * Feature: Add instruction for Linux build, #60546

 -- XIMC <8smc4@standa.lt>  Tue, 05 Mar 2024 17:53:20 +0300

libximc7 (2.14.20-1) unstable; urgency=low

  * Version bump
  * add new python binding
  * fix docs

 -- XIMC <8smc4@standa.lt>  Thu, 28 Dec 2023 11:49:58 +0300

libximc7 (2.14.19-1) unstable; urgency=low

  * Version bump
  * remove PyPI builder out of the repo, #85896
  * complete working on APIv2 binding, #86075
  * fix english documentation, #87709
  * change UserPassword type to char[]


 -- XIMC <8smc4@standa.lt>  Mon, 13 Nov 2023 11:54:15 +0300

libximc7 (2.14.18-1) unstable; urgency=low

  * Version bump
  * Feature #85091 Taking position calculation out to the place before
  * all command execution (before switch statement)
  * Feature #84179 Now use only absolute paths for virtual controllers

 -- XIMC <8smc4@standa.lt>  Tue, 12 Sep 2023 11:24:00 +0300

libximc7 (2.14.17-1) unstable; urgency=low

  * Version bump
  * Bug #84285 Incorrect virtual controllers

 -- XIMC <8smc4@standa.lt>  Wed, 23 Aug 2023 14:34:36 +0300

libximc7 (2.14.16-1) unstable; urgency=low

  * Version bump
  * Feature #83712 mDrive enumerate enumerate and discovery errors fixed 

 -- XIMC <8smc4@standa.lt>  Mon, 21 Aug 2023 14:16:00 +0300

libximc7 (2.14.15-1) unstable; urgency=low

  * Version bump
  * Feature #83712 mDrive enumerate and discovery added

 -- XIMC <8smc4@standa.lt>  Tue, 25 Jul 2023 19:34:58 +0300

libximc7 (2.14.14-1) unstable; urgency=low

  * Version bump
  * Feature #70712 jupiter libximc improved
  * Feature #74546 readme added to the pypi libximc example
  * Feature #75619 hints argument description corrected
  * Feature #76913 Documentation start pages reviewed
  * Feature #79128 libximc .sh scripts improved

 -- XIMC <8smc4@standa.lt>  Thu, 22 Jun 2023 13:56:12 +0300

libximc7 (2.14.13-1) unstable; urgency=low

  * Version bump
  * Feature #77391 Wrong position returned in virtual controllers fixed

 -- XIMC <8smc4@standa.lt>  Thu, 11 May 2023 11:55:23 +0300

libximc7 (2.14.11-1) unstable; urgency=low

  * Version bump
  * Feature #74036 additionally: set_bindy_key calls removed from examples

 -- XIMC <8smc4@standa.lt>  Tue, 07 Mar 2023 18:56:56 +0300

libximc7 (2.14.10-1) unstable; urgency=low

  * Version bump
  * Feature #74028 Updated wiring diagrams
  * Feature #74036 keyfile.sqlite removed
  * Feature #74552 Nagle algorithm off in xi-tcp
  * Feature #74671 Unused files removed from example projects
  * Feature #74594 Jupiter_demo added
  * Feature #70732 Virtual controller updated
  * Feature #74575 emumerate_device function made multithreaded
  * Feature #74580 Miniupnpc using improved  

 -- XIMC <8smc4@standa.lt>  Fri, 17 Feb 2023 12:21:46 +0300

libximc7 (2.14.9-1) unstable; urgency=low

  * Version bump
  * Feature #72852 XIMC-device net discovering added (miniupnpc used)

 -- XIMC <8smc4@standa.lt>  Fri, 20 Jan 2023 13:41:06 +0300

libximc7 (2.14.8-1) unstable; urgency=low

  * Version bump
  * Feature #53770 calibration_t struct description changed
  * Feature #72516 C example moved to test_C directory
  * Feature #71035 python jupiter example improved
  * Feature #72241 libximc virtual controller updated
  * Feature #65676 The same separator applied for all correction tables

 -- XIMC <8smc4@standa.lt>  Wed, 28 Dec 2022 13:49:23 +0300

libximc7 (2.14.7-1) unstable; urgency=low

  * Version bump
  * Feature #69053 extendtest example bug fixed
  * Feature #67205 jupiter example added
  * Feature #69542 extendspython example: netifaces module changed for ifaddr

 -- XIMC <8smc4@standa.lt>  Wed, 09 Nov 2022 17:56:14 +0300

libximc7 (2.14.6-1) unstable; urgency=low

  * Version bump
  * Feature #67711 Network settings control via USB added 
  * Feature #67712 Network settings control via web added

 -- XIMC <8smc4@standa.lt>  Wed, 07 Sep 2022 13:48:57 +0300

libximc7 (2.14.5-1) unstable; urgency=low

  * Version bump

