=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-docs $(shell dpkg-buildflags --export=configure) $(PACKAGE_EXTRA_CONFIGURE)
